import logging

from sqlmodel import select

from fastapi import APIRouter
from app.api.dependencies import SessionDep

logger = logging.getLogger(__name__)

router = APIRouter(prefix="/utils", tags=["utils"])


@router.get("/health-check/")
async def health_check() -> bool:
    return True


@router.get("/test-db/")
async def test_db(session: SessionDep) -> bool:
    try:
        session.exec(select(1))
        return True
    except Exception as e:
        logger.error(e)
        return False
