from sqlalchemy import Column, Integer, Float, TIMESTAMP, ForeignKey
from sqlalchemy.orm import relationship
from sqlalchemy.sql import func
from .base_model import Base


class Cart(Base):
    __tablename__ = "cart"

    cart_id = Column(Integer, ForeignKey("user.id", ondelete="CASCADE"), primary_key=True)
    total = Column(Float, nullable=False)
    last_updated = Column(TIMESTAMP, onupdate=func.now, nullable=True)

    user = relationship("User", back_populates="cart", foreign_keys=[cart_id])
    cart_entries = relationship("CartEntry", back_populates="cart")
