from sqlalchemy import Column, Integer, Float, TIMESTAMP, ForeignKey
from sqlalchemy.orm import relationship
from sqlalchemy.sql import func
from .base_model import Base


class Wishlist(Base):
    __tablename__ = "wishlist"

    id = Column(Integer, ForeignKey("user.id", ondelete="CASCADE"), primary_key=True)
    total = Column(Float, nullable=True)
    last_updated = Column(TIMESTAMP, onupdate=func.now, nullable=True)

    user = relationship("User", back_populates="wishlist", foreign_keys=[id])
    wishlist_entries = relationship("WishlistEntry", back_populates="wishlist")
