import sys
import logging

from app.core.config import settings

def setup_logger():
    verbosity = settings.VERBOSITY
    if verbosity == "DEBUG":
        log_format = "[ %(name)s / %(levelname)s ] - %(filename)s:%(lineno)d - %(message)s"
    else:
        log_format = "[ %(levelname)s ] - %(message)s"

    logging.basicConfig(level=verbosity, format=log_format, stream=sys.stdout)
