import {
	Accordion,
	AccordionContent,
	AccordionItem,
	AccordionTrigger
} from "@/components/ui/accordion";
import { faqs } from "../data/faq-data";

export default function Faq() {
	return (
		<div className="mt-12 max-w-4xl">
			<h2 id="faqs" className="mb-6 text-center text-3xl font-bold">
				Frequently Asked Questions
			</h2>
			<Accordion type="single" collapsible>
				{faqs.map((faq, index) => (
					<AccordionItem key={index} value={`faq-${index}`}>
						<AccordionTrigger>{faq.question}</AccordionTrigger>
						<AccordionContent>{faq.answer}</AccordionContent>
					</AccordionItem>
				))}
			</Accordion>
		</div>
	);
}
