import { Card, CardHeader, CardTitle, CardContent } from "@/components/ui/card";
import { features } from "../data/feature-data";

export default function Features() {
	return (
		<div className="grid max-w-5xl gap-6 sm:grid-cols-2 lg:grid-cols-3">
			{features.map((feature, index) => (
				<Card key={index}>
					<CardHeader>
						<CardTitle>{feature.title}</CardTitle>
					</CardHeader>
					<CardContent>
						<p>{feature.description}</p>
					</CardContent>
				</Card>
			))}
		</div>
	);
}
